Skip to main content
POST
/
screening
/
travel_rule
/
vault
/
{vaultAccountId}
/
vasp
TypeScript
const response: Promise<FireblocksResponse<TravelRuleVaspForVault>> = fireblocks.travelRule.setVaspForVault(travelRuleApiSetVaspForVaultRequest);
{
  "vaspDid": "did:ethr:0x5dddec8dd669c49304ddbcba36ccc6e0798534dc"
}

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account

Body

application/json
vaspDid
string

VASP DID

Example:

"did:ethr:0x5dddec8dd669c49304ddbcba36ccc6e0798534dc"

Response

OK

vaspDid
string

VASP DID

Example:

"did:ethr:0x5dddec8dd669c49304ddbcba36ccc6e0798534dc"